Package Details: warsaw-bin 2.21.3.1-2

Git Clone URL: https://aur.archlinux.org/warsaw-bin.git (read-only, click to copy)
Package Base: warsaw-bin
Description: Banking security tool developed by GAS Tecnologia
Upstream URL: https://diagnostico.gasantifraud.com
Keywords: Ailos Amazônia Banco Banese Banestes Bonsucesso Brasil Brasília Caixa CEF Credicoamo Cresol DPU Itaú Mercantil Nordeste Roadcard Safra
Licenses: GPL-3.0-or-later
Conflicts: warsaw
Provides: warsaw
Submitter: tioguda
Maintainer: tioguda
Last Packager: tioguda
Votes: 34
Popularity: 1.46
First Submitted: 2018-07-09 01:11 (UTC)
Last Updated: 2022-07-13 23:47 (UTC)

Pinned Comments

tioguda commented on 2021-11-17 21:44 (UTC)

Por favor, não utilizem a requisição para informar os seus problemas, ainda mais marcando para deletar o pacote.

Se não tem certeza de algo, não faça...

tioguda commented on 2020-07-27 15:20 (UTC) (edited on 2022-05-03 18:54 (UTC) by tioguda)

Após instalar o pacote, é necessário reiniciar o sistema para que o warsaw funcione corretamente.

Feito o procedimento acima, o usuário deve entrar no site da diebold para concluir o processo necessário para o warsaw funcionar corretamente.

Ps: após uma atualização, devido as alterações, pode ser necessário reiniciar o sistema e refazer a configuração no site da diebold.

Saudações.

Latest Comments

tioguda commented on 2022-07-13 23:28 (UTC)

@alex.gt ,thanks for reminding me, i was already testing without gtk2 because of some user reports.

About the dependencies, i will keep it as it is, since it is difficult for the user not to have the nss package on his system. Namcap will report many other dependencies if you tweak as you test (maybe leftovers from older versions?).

I'll just fix the license issue, because even if it doesn't look like it, it's free software.

alex.gt commented on 2022-07-13 22:25 (UTC)

Worked out of the box! Thank you tioguda et al! Didn't needed gtk2 nor python-gpgme. Namcap says it depends on nss which I already had installed for other purposes. warsaw-bin E: Dependency nss detected and not included (libraries ['usr/lib/libsmime3.so', 'usr/lib/libnss3.so'] needed in files ['usr/local/lib/warsaw/wsftci.so'])

lobianco commented on 2022-05-24 22:43 (UTC)

Boa noite, tioguda

warsaw-bin 2.21.2.2-1 está dando erro de compilação, vc poderia verificar o que está havendo.

Obrigado

bakgwailo commented on 2022-05-05 04:55 (UTC)

@tioguda

Appreciate it. I actually got things working. Went in and disabled/stopped the service w/ sudo systemctl vs just systemctl, then did the same to start/re-enable and it magically works now. Wondering if systemd did something weird when not using sudo (even though it prompted for the root password like it was going to run as root). Appreciate it!

tioguda commented on 2022-05-03 18:51 (UTC)

Como citado pelo diogobaeder anteriormente, essa nova versão piorou este comportamento, e o warsaw só funcionará se ele iniciar junto com o sistema. Quem não gostar, terá que desativar o warsaw manualmente após a primeira instalação.

tioguda commented on 2022-05-03 17:51 (UTC)

@bakgwailo, we'll have to wait for more users to report the error like yours, as at the moment here it's working on Chrome, Firefox and Brave without any problem.

On the diagnostic site, only Ailos, Cresol and DPU institutions do not work. After restarting the system, the Ailos institution informs that the configuration was accepted.

bakgwailo commented on 2022-05-03 16:45 (UTC)

@tioguda

The diebold website does not work:

I get:

Verifying Warsaw installation.

 Warsaw installed, without settings of Banco do Brasil

  To properly install settings from your Institution, hit Install.

 Wait for the files to be installed"

And after waiting, the error:

 Unrealised settings of your institution.

systemctl status warsaw.service


● warsaw.service - Warsaw Desktop
     Loaded: loaded (/usr/lib/systemd/system/warsaw.service; enabled; vendor preset: disabled)
     Active: active (running) since Tue 2022-05-03 12:38:30 EDT; 2min 48s ago
    Process: 894 ExecStart=/usr/local/bin/warsaw/core (code=exited, status=0/SUCCESS)
   Main PID: 896 (core)
      Tasks: 12 (limit: 38338)
     Memory: 22.6M
        CPU: 164ms
     CGroup: /system.slice/warsaw.service
             └─ 896 /usr/local/bin/warsaw/core

May 03 12:38:30 desktop systemd[1]: Starting Warsaw Desktop...
May 03 12:38:30 desktop systemd[1]: warsaw.service: Can't open PID file /run/core.pid (yet?) after start: Operation not permitted
May 03 12:38:30 desktop systemd[1]: warsaw.service: Supervising process 896 which is not our child. We'll most likely not notice when it exits.
May 03 12:38:30 desktop systemd[1]: Started Warsaw Desktop.

Both Firefox and Chrome fail on https://seg.bb.com.br/home.html

tioguda commented on 2022-05-03 00:36 (UTC) (edited on 2022-05-03 00:38 (UTC) by tioguda)

@bakgwailo, follow these steps and let me know if the problem persists.

The file from the Banco Do Brasil website has not yet been updated, and this package uses the file from the developers website (hence the difference in version).

Ps: don't forget to test with the optional dependency on first use.

bakgwailo commented on 2022-05-03 00:21 (UTC)

Updated to this latest package, and now neither Firefox nor Chrome works w/ Banco Do Brasil. Older version worked fine in Firefox, but not Chrome. Diebold website does not work. systemd starts and runs fine. In the deb I download from the website it is version 2.21.1, and this packages says it is at 2.21.2.2, maybe the problem ?

tioguda commented on 2022-04-26 21:33 (UTC) (edited on 2022-04-27 21:14 (UTC) by tioguda)

Pacote atualizado e funcionando.

LuxFerre commented on 2022-04-26 14:49 (UTC) (edited on 2022-04-26 15:30 (UTC) by LuxFerre)

parece que há algo de errado na URL do arquivo... curl: (22) The requested URL returned error: 403 ==> ERROR: Failure while downloading https://cloud.gastecnologia.com.br/gas/diagnostico/warsaw_setup_64.deb

edit: consegui instalar editando o pkgbuild com este link: https://cloud.gastecnologia.com.br/bb/downloads/ws/warsaw_setup64.deb

filipy65 commented on 2022-01-29 18:09 (UTC)

Em uma instalação limpa do Manjaro hoje, consegui acessar o Banco do Brasil apenas com a instalação do pacote sem usar o gtk2 e sem acessar o site da diebold. Instalei, reiniciei, iniciei o serviço e acessei sem dores. Apenas a título de registro.

dramm commented on 2022-01-04 16:14 (UTC)

I'm currently in version 2.20.0.13-2 trying to update to current version.

I'm getting the following error:

:: Proceed with installation? [Y/n] 
(1/1) checking keys in keyring                                                                      [----------------------------------------------------------] 100%
(1/1) checking package integrity                                                                    [----------------------------------------------------------] 100%
(1/1) loading package files                                                                         [----------------------------------------------------------] 100%
(1/1) checking for file conflicts                                                                   [----------------------------------------------------------] 100%
error: failed to commit transaction (conflicting files)
warsaw-bin: /usr/local/lib/warsaw/wsftci.so exists in filesystem

Should I just delete wsftci.so or use --overwrite?

pcs73 commented on 2021-11-19 02:00 (UTC)

Instalada atualização de 17/11/21, não funcionou no Chrome [96.0.4664.4596.0.4664.45], já no Firefox [94.0.1] roda sem problemas (ambos 64 bits). Manjaro 64, Banco do Brasil.

tioguda commented on 2021-11-17 21:56 (UTC) (edited on 2021-11-17 23:02 (UTC) by tioguda)

Pronto, pacote atualizado e sem erro de checksum. Espero que o pessoal veja que mais uma vez o pedido de exclusão foi um erro.

Aparentemente essa versão não precisa mais do gtk2, mas vou manter ele como opcional até ter certeza.

tioguda commented on 2021-11-17 21:44 (UTC)

Por favor, não utilizem a requisição para informar os seus problemas, ainda mais marcando para deletar o pacote.

Se não tem certeza de algo, não faça...

araruna commented on 2021-11-01 19:02 (UTC)

Estou no Manjaro Gnome. No Chromium o site de diagnóstico reconhece e instala os arquivos de configuração para os bancos, mas no Firefox 93.0 não.

Ouvi dizer que precisava desabilitar extensões antianúncios, mas mesmo assim não funcionou. Alguém sabe de uma solução? Já busquei no Google mas não achei nada...

diogobaeder commented on 2021-08-07 18:52 (UTC)

Aqui comigo, mesmo tendo já o gtk2 instalado e iniciando o serviço systemd, não funcionou. Só funcionou depois que eu reiniciei (tendo o serviço habilitado, pra iniciar com o boot). Desconfio que ele precise ser iniciado antes de algum outro serviço pra funcionar corretamente, mas não tenho certeza.

danpeig commented on 2021-07-25 20:23 (UTC)

Funcionou perfeitamente bem para o Banco do Brasil em 25 de julho de 2021. Muito Obrigado!

celsoec commented on 2021-06-20 23:36 (UTC)

Aqui funcionando perfeitamente! Valeu tioguda!

lobianco commented on 2021-06-14 19:47 (UTC)

Hi tioguda Está dando este erro. Um ou mais arquivos não passaram na verificação de validade! erro ao descarregar as fontes: warsaw-bin

sleet commented on 2021-05-19 22:45 (UTC)

Acho melhor deixar como opcional mesmo.

Acabei instalando o gtk2 e desisntalando após a configuração inicial dar certo.

tioguda commented on 2021-05-19 13:53 (UTC)

Se eu colocar o gtk2 como dependência obrigatória tem usuário que vai reclamar, se eu deixo ela como opcional os usuários não instalam para a primeira configuração.

Sinceramente eu já não sei o que fazer com essa dependência.

Saudações.

sleet commented on 2021-05-19 13:12 (UTC) (edited on 2021-05-19 13:14 (UTC) by sleet)

Não instala os arquivos dos bancos.

Instalei o warsaw, habilitei o serviço, testei no Firefox, Chromium e Opera, e até reiniciei após a instalação para garantir.

Em todos os navegadores, o site de diagnóstico percebe que o warsaw está instalado, mas não consegue instalar os arquivos dos bancos.

Essa é uma instalação limpa do arch linux, apenas com os navegadores, o warsaw e um gerenciador de janelas instalado.

Será que falta alguma dependência?


"Verificando o módulo de segurança Warsaw

Warsaw instalado, sem configurações do Banco Itaú

Clique aqui para concluir as configurações da sua instituição

Aguarde a instalação dos arquivos

Configurações da insituição não realizadas

Para obter mais informações clique aqui e acesse nosso F.A.Q."

celsoec commented on 2021-04-22 02:28 (UTC)

Funcionando perfeitamente, firefox e chromium, apos complementar com a instalacao do pacote gtk2, seguindo a orientacao do tioguda.

filipy65 commented on 2021-04-05 19:22 (UTC)

Gastei horas tentando fazer funcionar em um sistema limpo (executando o KDE Plasma) com Firefox e Chrome, onde o módulo era reconhecido mas nenhuma configuração era efetivada em https://diagnostico.gasantifraud.com/ (sempre retornava "Configurações da instituição não realizadas."). Mas fui salvo pelo comentário do renatocrrs. E, após parar o processo, instalar o gtk2 e iniciar novamente (sudo systemctl start warsaw), consegui instalar as configurações e acessar o serviço (Banco do Brasil pelo Firefox).

ottosch commented on 2021-03-07 19:23 (UTC)

Funcionou no Firefox de primeira, seguindo as instruções de tioguda. Obrigado, amigo.

preekee2do commented on 2021-01-25 16:05 (UTC)

Confirmo que o pacote warsaw-bin funciona corretamente com o navegador Brave para acessar o site do Banco do Brasil. Mas para isso é necessário lembrar de desabilitar a proteção de propagandas do Brave, tanto no site da GASANTIFRAUD, como no do Banco do Brasil. Caso contrário, esses sites não vão detectar que o Warsaw está instalado no seu sistema.

lobianco commented on 2021-01-21 22:44 (UTC) (edited on 2021-01-22 11:19 (UTC) by lobianco)

@tioguda, obrigado pela rápida resposta

Instalação ok...

tioguda commented on 2021-01-21 22:40 (UTC)

@lobianco esse erro de checksum é por que saiu atualização no site da desenvolvedora, estou testando ela e em breve enviarei a att aqui.

Saudações.

lobianco commented on 2021-01-21 21:55 (UTC)

==> Criando o pacote: warsaw-bin 1.15.1.1-1 (sáb 25 jul 2020 16:58:44) ==> Obtendo fontes... -> Encontrado warsaw_setup_64.deb ==> Validando source_x86_64 arquivos com sha256sums... warsaw_setup_64.deb ... FALHOU ==> ERRO: Um ou mais arquivos não passaram na verificação de validade! erro ao descarregar as fontes: warsaw-bin Apaguei o cache: sudo pacman -Sc e depois sudo pacman -Scc E continua dando erro, alguém sabe como fazer?

vfbsilva commented on 2020-09-11 14:56 (UTC)

Deu certo! Foi só desabilitar o add blocker no site, muito obrigado!

tioguda commented on 2020-09-11 06:28 (UTC)

@vfbsilva aqui foi o inverso, o Firefox reconhecia o modulo e Chrome não, eu desativei o uBlock na página da diebold e voltou a funcionar no Chrome.

Se você utilizar algum método para bloquear anúncios, poderia desativa-lo e verificar se isso resolve o problema para você também?

Saudações.

vfbsilva commented on 2020-09-11 04:25 (UTC)

tioguda, aqui o firefox não está reconhecendo mas o chrome sim. Terias alguma idéia da razão?

bgualda commented on 2020-08-02 14:52 (UTC)

@tioguda obrigado. Depois que acessei o diebold o problema foi resolvido

tioguda commented on 2020-07-27 15:20 (UTC) (edited on 2022-05-03 18:54 (UTC) by tioguda)

Após instalar o pacote, é necessário reiniciar o sistema para que o warsaw funcione corretamente.

Feito o procedimento acima, o usuário deve entrar no site da diebold para concluir o processo necessário para o warsaw funcionar corretamente.

Ps: após uma atualização, devido as alterações, pode ser necessário reiniciar o sistema e refazer a configuração no site da diebold.

Saudações.

tioguda commented on 2020-07-27 00:03 (UTC) (edited on 2021-01-24 00:22 (UTC) by tioguda)

@bgualda você entrou no site da diebold e fez o procedimento para o seu banco?

Saudações.

bgualda commented on 2020-07-26 23:19 (UTC) (edited on 2020-07-26 23:20 (UTC) by bgualda)

Fala pessoal,

Realizei o update do pacote, mas quando tento fazer login no BB, fica em loading infinito e o login não efetua.

Já removi o pacote e instalei novamente do zero. Limpei o cache, reiniciei a máquina, mas mesmo assim, sem sucesso.

Alguma ideia do que pode ser?

A seguir, os dados do pacote instalado:

pacman -Q --info warsaw Name : warsaw-bin Version : 1.15.1.1-2 Description : Banking security tool developed by GAS Tecnologia Architecture : x86_64 URL : https://www.dieboldnixdorf.com.br/warsaw Licenses : custom Groups : None Provides : warsaw Depends On : at-spi2-core dbus desktop-file-utils gdk-pixbuf2 glib2 glibc gtk2 hicolor-icon-theme libx11 libxi procps-ng zenity zlib Optional Deps : python-gpgme Required By : None Optional For : None Conflicts With : warsaw Replaces : None Installed Size : 26.80 MiB Packager : Unknown Packager Build Date : Sun 26 Jul 2020 08:10:51 PM -03 Install Date : Sun 26 Jul 2020 08:11:01 PM -03 Install Reason : Explicitly installed Install Script : Yes Validated By : None

diogobaeder commented on 2020-07-25 22:20 (UTC)

Tem razão, @tiaguda , era meu cache mesmo, tentei de novo e agora funcionou direitinho. Só tive que parar o serviço no systemd, esperar um pouquinho, iniciar novamente e daí consegui entrar novamente no meu netbanking.

Valeu, bom final de semana!

tioguda commented on 2020-07-25 20:29 (UTC)

@diogobaeder o problema é o cache do seu helper, apague ele, que após isso acredito que não terás mais problemas com o checksum.

Verifique a alteração que fiz, a partir de agora, o arquivo vai conter o numero da versão do pacote (warsaw-1.15.1.1-64.deb), aparentemente isso evitará esse problema do checksum.

Saudações.

diogobaeder commented on 2020-07-25 19:59 (UTC) (edited on 2020-07-25 20:00 (UTC) by diogobaeder)

Obrigado, @tiaguda! Mas infelizmente ainda não funcionou:

==> Criando o pacote: warsaw-bin 1.15.1.1-1 (sáb 25 jul 2020 16:58:44)
==> Obtendo fontes...
  -> Encontrado warsaw_setup_64.deb
==> Validando source_x86_64 arquivos com sha256sums...
    warsaw_setup_64.deb ... FALHOU
==> ERRO: Um ou mais arquivos não passaram na verificação de validade!
erro ao descarregar as fontes: warsaw-bin

tioguda commented on 2020-07-25 16:28 (UTC)

@diogobaeder fiz um pequeno ajuste, verifica se o erro persiste. Saudações.

diogobaeder commented on 2020-07-25 06:13 (UTC)

@tioguda depois da atualização de hoje o checksum parou de bater com o declarado. Poderia dar uma olhada nisto?

lobianco commented on 2020-07-05 21:05 (UTC)

@superherointj, depois da sua orientação ele voltou a funcionar. entrei nas configurações e o sistema não apresentou erros. Valeu

superherointj commented on 2020-06-24 15:53 (UTC)

@lobianco, instalei em 8 computadores, só um apresentou problema assim, resolvi fazendo uma 'limpeza geral': (1) remova o warsaw-bin (2) reinicie o computador (3) reinstale warsaw-bin (4) certifique que ele está ativo no systemd. (5) reinicie (6) Reconfigure no site:
* https://www.dieboldnixdorf.com.br/warsaw * https://diagnostico.gasantifraud.com/ Para mim deu certo. Deixe o retorno aqui.

lobianco commented on 2020-06-18 11:45 (UTC)

No meu caso está dando erro nas Configurações de Sistema.

Arcolinux Versão do KDE Plasma: 5.19.1 Versão do KDE Framework: 5.71.0 Versão da Qt: 5.15.0 Versão do Kernel: 5.4.46-1-lts

superherointj commented on 2020-06-04 18:25 (UTC)

Dica: Após instalado o Warsaw. Ele ainda não contém ainda as informacoes do banco. E é necessário carregar a informacao do banco em: * https://www.dieboldnixdorf.com.br/warsaw * https://diagnostico.gasantifraud.com/ Na data 04/06/2020, funciona perfeitamente para mim acessando Itaú, com navegadores Chromium e Firefox.

argusroot commented on 2020-06-02 21:30 (UTC)

Para quem conseguiu instalar e o site do banco até detecta o módulo mas da timeout com algum erro. Veja se não tem algum outro serviço utilizando a porta 32400. No meu estava conflitando com o PLEX media server.

celsoec commented on 2020-05-06 20:09 (UTC)

Acabei de instalar o pacote warsaw-bin, funcionou perfeitamente no firefox como também no chrome.

tioguda commented on 2020-03-11 16:41 (UTC)

Existe um comentário fixado sobre a questão do checksum do pacote, como é a segunda vez que marcam como desatualizado sem estar, vou deixar alguns dias assim para que talvez o meu comentário seja lido.

Saudações.

leonardof commented on 2020-02-21 16:33 (UTC)

@macflav, é só clicar em "Marcar como desatualizado", na caixa "Ações do pacote".

macflav commented on 2020-02-21 14:03 (UTC)

O sha256sum atual é 729a5ca9c84a09816b7c03be89bfe6fa0706ae020c79dee04064959cc032740f

Tem que atualizar o PKGBUILD

haldrin commented on 2020-02-18 14:08 (UTC)

Várias tentativas de instalação e testado em vários "helper's". Sem éxito. Alguma solução ? Obrigado.

Gabriel_Gomes commented on 2020-02-10 23:36 (UTC)

Muito obrigado, Funcionou perfeitamente no firefox para acessar o Banco do Brasil.

moita commented on 2020-02-08 06:52 (UTC)

Senhores, percebi recentemente no Plasma5 KDE que quando o warsaw está rodando desde a inicialização (systemctl enable) e é aberto algum video no browser (twitter por exemplo) com o Plasma Integration instalado, se abrir o Media Player do Plasma na barra de tarefas algumas vezes (pra ver a capa por exemplo), o plasmashell dá segfault e reinicia com core dump no journal. Após desabilitar a inicialização do warsaw, tudo volta ao normal. Não cheguei a testar em outro sistema limpo para confirmar as condições exatas do problema mas aqui eu já reproduzi esse comportamento uma dezena de vezes. No github do Plasma Integration eu não vi nada que justifique algum tipo de conflito, talvez não seja ele o problema. Enfim, se alguém conseguir reproduzir esse problema, favor compartilhar. Eu anteriormente postei esse comentário no lugar errado, lá no AUR do warsaw.

tioguda commented on 2020-02-05 17:13 (UTC)

@eliasy os procedimentos estão corretos, até o momento ele está funcionando no Firefox para mim, estou tentando encontrar algo relacionado ao Chrome.

No momento não sei o motivo do pacote estar com esse comportamento.

Saudações.

eliasy commented on 2020-02-05 16:47 (UTC) (edited on 2020-02-05 17:05 (UTC) by eliasy)

Eu segui os seguintes passos:

  • Instalei o pacote:
    yay -S warsaw-bin
  • Instalei o gtk2
    sudo pacman -S gtk2
  • Habilitei e iniciei o software
    systemctl start warsaw.service
    systemctl enable warsaw.service
    -Limpei o cache dos navegadores (Firefox e Chrome)
    -Reiniciei a maquina

Entrentanto, ambos os navegadores continuam nao detectando a instalacao do warsaw. O que estou fazendo de errado?

Status: systemctl status warsaw.service
warsaw.service - Warsaw Desktop
Loaded: loaded (/usr/lib/systemd/system/warsaw.service; enabled; vendor preset: disabled)
Active: active (exited) since Wed 2020-02-05 14:00:54 -03; 2min 15s ago
Process: 676 ExecStart=/usr/bin/warsaw start (code=exited, status=0/SUCCESS)
Main PID: 676 (code=exited, status=0/SUCCESS)

Feb 05 14:00:54 me systemd[1]: Starting Warsaw Desktop...
Feb 05 14:00:54 me systemd[1]: Started Warsaw Desktop.

tioguda commented on 2020-01-26 01:16 (UTC) (edited on 2020-01-26 21:23 (UTC) by tioguda)

@pcs73 ele está com problemas no Chrome, se você estiver utilizando ele, troque pelo Firefox por enquanto. Verifica a questão do gtk2 durante a primeira configuração do banco.

Saudações.

pcs73 commented on 2020-01-26 00:42 (UTC)

Ao tentar acessar o AAPF do BB, retorna: "Prezado cliente, não foi possível carregar o Módulo de Segurança (W01)."

Provavelmente houve atualização do módulo, antes funcionava sem problemas.

tioguda commented on 2020-01-21 18:52 (UTC)

@leonardof em 2018 eu já citei o motivo de não ter feito isso, o pacote tem poucas atualizações, e como só você relatou isso até agora, você pode editar o pkgbuild na hora da instalação.

Saudações.

leonardof commented on 2020-01-21 14:34 (UTC)

Atualizar o sistema (Arch Linux no QEMU) e este pacote, reiniciei a máquina virtual e fui saudado com a mensagem "Não foi possível iniciar o Warsaw. Tente 'sudo warsaw start'".

Será que isso não se resolveria com a remoção do /etc/xdg/autostart/warsaw.desktop?

renatocrrs commented on 2019-12-11 14:18 (UTC)

Consagrados,

Vale pinar a informação de que o GTK2 é necessário para configuração inicial dos bancos, pude reproduzir e confirmar apenas com a caixa. Sem o pacote a configuração simplesmente não acontece.

No mais, instalei o warsaw-bin via yay, sem problemas. Dei enable no daemon e rodou tudo perfeitinho, sem mais intervenções.

diogobaeder commented on 2019-12-02 19:54 (UTC)

Por algum motivo que ainda não entendi, esse binário não funcionou de cara depois de eu iniciar o serviço ("systemctl start warsaw.service"), tive que habilitar no systemd e reiniciar a máquina, daí sim ele funcionou. Enfim, fica a dica: instalar, habilitar ("systemctl enable warsaw.service") e depois reiniciar a máquina.

capoeira commented on 2019-11-28 10:42 (UTC)

@tioguda apareceu novamente. o estranho é q aparece só de vez em quando. em 4 reboots, só uma vez. pode ser um problema aqui no meu sistema. em fim: removendo a entrada na autostart resolve para mim

tioguda commented on 2019-11-28 10:16 (UTC)

@capoeira eu também utilizo o KDE e ele não iniciou o warsaw no inicio do sistema, se fez o que pedi, reinicia o sistema e relate se o problema continuou ou não.

Saudações.

capoeira commented on 2019-11-28 10:06 (UTC)

@tioguda

fiz oq pediu e a entrada na etc/xdg/autostart/ voltou

eu uso KDE e ele vai tentar autostartar tudo q tiver la

tioguda commented on 2019-11-28 09:56 (UTC)

@capoeira faz o procedimento fazendo favor, isso seria um método de verificar se o erro é mesmo do pacote, ou se você só esqueceu ativado o programa na inicialização em algum momento.

Eu refiz o teste após seu primeiro comentário, e não obtive esse comportamento aqui, então temos que investigar todas as possibilidades.

Saudações.

capoeira commented on 2019-11-28 09:52 (UTC)

@tioguda não. faz 2 dias q instalei usando seu pkbuild; não vejo pq mudaria se reinstalar

tioguda commented on 2019-11-28 09:48 (UTC)

@capoeira você fez o que eu mencionei no outro comentário?

Saudações.

capoeira commented on 2019-11-28 09:26 (UTC)

olhando para a PKBUILD eu já vi q tenho q remover etc/xdg/autostart/warsaw.desktop

na minha opinião não deveria colocar no autostart automaticamente. alias, o serviço do systemctl não é para isso? no meu caso é raro q preciso do Warsaw, então prefiro startar o serviço manualmente

tioguda commented on 2019-11-28 09:17 (UTC)

@capoeira você poderia utilizar o comando systemctl disable warsaw.service, desinstalar o pacote, instalar novamente e verificar se esse comportamento continua?

Saudações.

capoeira commented on 2019-11-28 08:53 (UTC)

pq eu recebo mensagem (não foi possível iniciar warsaw.....) ao iniciar meu sistema sem ter habilitado o serviço?

tioguda commented on 2019-10-17 02:53 (UTC)

@patrickelectric verifica se você precisa das informações dos comentários abaixo, se os 3 comentários anteriores ao seu não ajudar, notifica aqui novamente.

Saudações.

patrickelectric commented on 2019-10-16 15:07 (UTC) (edited on 2019-10-16 15:18 (UTC) by patrickelectric)

Ao acessar o site, esta dando o erro ao configurar: Configurações da instituição não realizadas.

Alguma dica de como debugar ? É para o BB.

tioguda commented on 2019-08-16 15:38 (UTC) (edited on 2019-08-16 15:48 (UTC) by tioguda)

Por favor @HalissonDev edite o seu comentário, o comando que você menciona para ser utilizado como usuário comum, não é necessário ao utilizar este pacote, esse comando é para o outro pacote, o warsaw.

Isso pode confundir os usuários, basta você utilizar sudo systemctl start warsaw.service

Obrigado.

HalissonDev commented on 2019-08-16 11:36 (UTC) (edited on 2019-08-16 16:14 (UTC) by HalissonDev)

Após alguns dias tentando fazer warsaw funcionar, consegui fazer que o warsaw funcionasse perfeitamente no Internet banking da Caixa e do banco Braisl. Se você utiliza ou já utilizou o warsaw e teve que fazer alguns procedimentos pelo terminal para ele funcionasse, por favor rode o comando abaixo antes da instalação.

sudo chattr -a /usr/lib/warsaw/ && sudo pacman -Rs warsaw && sudo rm -rf /usr/lib/warsaw

Instalação. Terminal: use o comando abaixo.

$ trizen -S warsaw-bin

Como iniciar o serviço. Use o comando abaixo para colocar o warsaw na inicialização do sistema.

systemctl enable warsaw.service

Use o comando abaixo para iniciar o warsaw.

systemctl start warsaw.service

Pós instalação. Agora entre no site da desenvolvedora para fazer o diagnóstico por este link https://www.dieboldnixdorf.com.br/warsaw , escolha o seu banco ou instituição e clique em continuar.

Funcionou desse jeito pra mim, se alguém tiver uma forma melhor, eu agradeço.

firesinis commented on 2019-08-11 14:49 (UTC)

Eu sou favorável que se coloque gtk2 como dependência opcional; contudo, é recomendável que outras pessoas testem o cenário que eu descrevi para ver se realmente o pacote é necessário para a configuração ou se é algo que aconteceu no meu setup.

eMyller commented on 2019-07-31 17:08 (UTC)

@tioguda E realmente o erro não é no PKGBUILD. Como eu indiquei, baixando-se o source manualmente, o build funciona independente do helper utilizado. ;)

tioguda commented on 2019-07-31 16:58 (UTC)

@eMyller, eu já deixei no comentário fixado o motivo sobre esse erro de checksum ao utilizar o yay, acabei de checar, o erro não é no pkgbuild.

Saudações.

eMyller commented on 2019-07-31 16:17 (UTC)

Yay não funcionou pra mim, e desconfio que tenha sido por download incorreto do source (deb). Checando no diretório de cache do yay, os sums realmente não bateram. Depois de baixar o pacote manualmente da URL dentro do PKGBUILD, ambos makepkg e Yay funcionaram.

tioguda commented on 2019-07-30 02:04 (UTC)

Com as informações passadas pelo @firesinis, acredito que seria melhor adicionar o pacote gtk2 como dependência opcional, já que ele só é necessário na configuração do primeiro acesso ao banco.

Vou aguardar a opinião de vocês para fazer a adição.

Saudações.

firesinis commented on 2019-07-27 16:13 (UTC)

@leonardof testando mais aqui, parece que o gtk2 só é necessário para a configuração inicial de cada banco; depois que um banco tiver suas configurações efetuadas, o acesso a ele continua funcionando mesmo depois de remover o gtk2. No entanto, sem o gtk2 não é possível configurar o acesso a novos bancos.

Para testar, remova o gtk2, reinicie o warsaw e tente configurar algum banco que você nunca tenha acessado antes, usando o site https://www.dieboldnixdorf.com.br/warsaw; após um tempo receberá a mensagem "Configurações da instituição não realizadas." Reinstalando o gtk2 e reiniciando o warsaw, o mesmo procedimento de configuração resultará na mensagem "Configurações realizadas com sucesso."

Reiterando, a falha na configuração de acesso só ocorrerá para um banco que você nunca tenha configurado antes; se for um banco que você já usou, receberá a mensagem "Parabéns! Você está devidamente protegido." mesmo que o gtk2 não esteja instalado.

leonardof commented on 2019-07-25 01:07 (UTC)

@tioguda, muito obrigado, agora o warsaw parece só estar funcionando conforme esperado pelo gerenciamento via systemd!

@firesinis, obrigado também, só assim para os navegadores reconhecerem o "módulo de segurança" no Banco do Brasil!

firesinis commented on 2019-07-19 23:42 (UTC)

Havia uma máquina específica onde este pacote não estava habilitando o acesso ao banco; acabei descobrindo que depois de instalar extra/gtk2 o acesso passa a funcionar.

Reciprocamente, removendo extra/gtk2 de uma outra máquina onde o acesso estava funcionando, o acesso parou de funcionar.

Concluo que o Warsaw precisa de extra/gtk2 para funcionar corretamente.

leonardof commented on 2019-07-19 18:06 (UTC)

Obrigado pela atenção @tioguda! Estou de mudança, aviso assim que conseguir testar!

tioguda commented on 2019-07-19 09:21 (UTC) (edited on 2019-07-19 09:22 (UTC) by tioguda)

@leonardof, com o último ajuste o problema que você estava tendo, foi resolvido?

Saudações.

tioguda commented on 2019-06-13 23:43 (UTC)

@idabmat, só peço que verifiquem as informações quando o pacote for adotado/alterado por outra pessoa, fiz um backup de tudo que é necessário para a construção desse pacote, caso ele seja excluído, no momento é tudo o que eu posso fazer.

Saudações.

idabmat commented on 2019-06-13 22:23 (UTC)

Primeiro obrigado @tioguda pelo pacote!

Já a algumas semanas, toda vez que atualizo meu sistema arch recebo mensagem de aviso que python2-mini-amf não tem mais mantenedor. mini-amf por sua vez não parece ter tido nenhuma nova release desde 2017 ... Há algo que possa ser feito ?

leonardof commented on 2019-05-27 16:14 (UTC)

Pois é, @tioguda... E essa era uma instalação nova, uma máquina virtual que fiz só para o warsaw-bin. Ponho-me à disposição para fazer algum teste que possa esclarecer a situação.

tioguda commented on 2019-05-25 05:57 (UTC)

@leonardof, não sei o que está acontecendo com o pacote em seu sistema, mas testei aqui, e a mensagem não é mostrada após o boot ao utilizar o comando: # systemctl disable warsaw.service.

Saudações.

tioguda commented on 2019-05-18 13:15 (UTC)

@leonardof, aqui foi corrigido após atualizar, mas vou desabilitar o warsaw novamente e verificar se a mensagem reaparece aqui também.

Saudações.

leonardof commented on 2019-05-18 12:21 (UTC)

Ops, falei cedo demais, quando reiniciei o computador aquela bendita mensagem apareceu.

leonardof commented on 2019-05-17 13:56 (UTC)

Obrigado, @tioguda!!

marcelodimb commented on 2019-05-14 13:43 (UTC)

@tioguda, não sei se você já atualizou e ainda não postou por aqui, mas só pra dizer que a instalação agora rodou suave. Abrindo o BB perfeitamente.

Mais uma vez, muito obrigado!

o/

tioguda commented on 2019-05-13 18:29 (UTC)

Em meus testes, apenas o banco do Nordeste parou de funcionar entre já conhecidos.

Os bancos recém adicionados não estão funcionando ainda, estarei verificando o possível motivo em breve.

@leonardof, agora o pacote pode ser removido do boot com o comando # systemctl disable warsaw.service.

Saudações.

marcelodimb commented on 2019-05-13 17:29 (UTC)

Excelente @tioguda. Aguardarei o retorno e depois posto aqui o resultado. Abraço meu nobre!

tioguda commented on 2019-05-13 17:25 (UTC)

@marcelodimb, isso é porque saiu atualização para o warsaw.

Eu estarei testando e faço a atualização do pacote ainda hoje (se não houver complicações).

Saudações.

marcelodimb commented on 2019-05-13 14:02 (UTC) (edited on 2019-05-13 15:35 (UTC) by marcelodimb)

Pessoal, verifiquem se a instalação ainda está ocorrendo corretamente. Tentei instalar hoje e apareceu uma mensagem de erro referente a verificação de validade, conforme segue abaixo (PS: estou usando o Linux Manjaro xfce Illyria 18.0.4, 64 bits):

Preparando... A clonar warsaw-bin ficheiros de compilação... A verificar warsaw-bin dependências... Construindo warsaw-bin... ==> Criando o pacote: warsaw-bin 1.12.13.8-5 (seg 13 mai 2019 10:49:45 -03) ==> Verificando as dependências de tempo de execução... ==> Verificando as dependências de tempo de compilação... ==> Obtendo fontes... -> Baixando warsaw_setup_64.deb... % Total % Received % Xferd Average Speed Time Time Time Current Dload Upload Total Spent Left Speed

0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0 0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0 3 7145k 3 229k 0 0 191k 0 0:00:37 0:00:01 0:00:36 191k 20 7145k 20 1487k 0 0 676k 0 0:00:10 0:00:02 0:00:08 676k 38 7145k 38 2735k 0 0 855k 0 0:00:08 0:00:03 0:00:05 855k 55 7145k 55 3983k 0 0 949k 0 0:00:07 0:00:04 0:00:03 948k 73 7145k 73 5247k 0 0 1009k 0 0:00:07 0:00:05 0:00:02 1072k 90 7145k 90 6495k 0 0 1048k 0 0:00:06 0:00:06 --:--:-- 1253k 100 7145k 100 7145k 0 0 1065k 0 0:00:06 0:00:06 --:--:-- 1255k Validando source_x86_64 arquivos com sha256sums... warsaw_setup_64.deb ... FALHOU ==> ERRO: Um ou mais arquivos não passaram na verificação de validade!

tioguda commented on 2019-04-29 20:32 (UTC)

@JuniorTonny, o servidor da diebold já está online.

Acabei de checar e seu banco já está funcionando novamente.

Saudações.

tioguda commented on 2019-04-28 19:59 (UTC)

@JuniorTonny, aparentemente é um erro nos servidores da diebold, vou esperar o site deles voltarem ao ar antes de qualquer coisa.

Saudações.

JuniorTonny commented on 2019-04-28 19:00 (UTC)

Não esta funcionando pra mim esse é o banco que uso https://internetbanking.caixa.gov.br/sinbc/nb/login/redirecionaDispSeguranca

meu navegador é o Firefox

PRafael commented on 2019-04-26 15:36 (UTC)

Obrigado por manter este pacote. Instalação sem a menor falha.

Abraço Paulo

leonardof commented on 2019-04-22 16:28 (UTC)

@tioguda, não incomoda de forma alguma! Me parece que, se a pessoa instalar o libstdc++296-bin, isso satisfaria a dependência do warsaw-bin mesmo se este pedisse o libstdc++296, já que o libstdc++296-bin informa que provê o libstdc++296. Assim dá mais flexibilidade, vai que a pessoa tem algum motivo para instalar da fonte! De qualquer forma, mesmo se você achar que isso é uma boa ideia, acho que pode esperar o próximo lançamento.

tioguda commented on 2019-04-22 15:52 (UTC)

@leonardof, eu fiz essa alteração para dar um maior suporte para os usuários, no pacote libstdc++296-bin existe suporte para i686 e não é necessário a edição por parte do usuário.

Mas se isso incomodar tanto assim, eu retorno para o pacote que está praticamente abandonado.

Saudações.

leonardof commented on 2019-04-21 18:49 (UTC)

Já que libstdc++296-bin provê libstdc++296, que tal o warsaw-bin depender de libstdc++296 em vez de depender de libstdc++296-bin?

tioguda commented on 2019-04-20 02:39 (UTC)

@lucasgk , Se você utiliza o Manjaro, o blog Manjariando tem um repositório com vários pacotes da AUR disponíveis nele, inclusive um pacote do warsaw destinado ao Manjaro Deepin.

Saudações.

lucasgk commented on 2019-04-19 14:58 (UTC) (edited on 2019-04-22 11:51 (UTC) by lucasgk)

Funcionando perfeitamente aqui no Manjaro Deepin! Como Fiz

  1. Instalei a dependência libstdc++296-bin

  2. Executei o Script "install_warsaw-bin_v0.7.1" criado por "talesam"

Origem: talesam comentou em 2018-07-22 02:57

Criei um script baseado no pacote do @tioguda e com a dica do @lucasgk que além de automatizar toda a instalação e configuração, resolve o problema de travamento da deepin-dock do Deepin Manjaro. Link para o script: https://nuvem.talesam.org/index.php/s/yQqrIdYw9fhvzeh

E obrigado tioguda pela disposição de manter esse pacote atualizado para as distribuições baseadas no ArchLinux. Abraço!

tioguda commented on 2019-03-27 21:38 (UTC)

Usuários da arquitetura x86_64 agora podem utilizar o pacote libstdc++296-bin ao instalar o warsaw-bin.

Saudações.

tioguda commented on 2019-03-10 07:46 (UTC) (edited on 2019-04-20 02:37 (UTC) by tioguda)

Para contornar o erro com a dependência libstdc++296, você pode baixar ela já compilada através dos links abaixo.

Será necessário adicionar minha chave antes da instalação, DC35688412042242.

libstdc++296 x86_64

libstdc++296 i686

E por favor, não marque este pacote como desatualizado por causa de erros que não são dele.

Saudações.

haldrin commented on 2019-03-10 06:33 (UTC)

Consegui instalar alterando a URL de:

ftp://mirror.switch.ch/pool/4/mirror/opensuse/opensuse/distribution/leap/42.3/repo/oss/suse/x86_64/compat-32bit-2010.1.31-4.3.x86_64.rpm

para esta:

https://download.opensuse.org/distribution/leap/42.3/repo/oss/suse/x86_64/compat-32bit-2010.1.31-4.3.x86_64.rpm

haldrin commented on 2019-03-10 06:15 (UTC)

curl: (7) Failed to connect to mirror.switch.ch port 21: Tempo esgotado para conexão ==> ERRO: Falha ao baixar ftp://mirror.switch.ch/pool/4/mirror/opensuse/opensuse/distribution/leap/42.3/repo/oss/suse/x86_64/compat-32bit-2010.1.31-4.3.x86_64.rpm

leonardof commented on 2019-03-09 14:03 (UTC)

Com essa nova versão do pacote continua tendo o mesmo problema de:

https://aur.archlinux.org/packages/warsaw-bin/#comment-673902

calbertouepb commented on 2019-02-04 15:53 (UTC)

tioguda a dependência libstdc++296.rpm está buscando o arquivo compat-32bit-2010.1.31-4.3.x86_64.rpm em um endereço que não está mais disponível e fica esperando até dar erro de timeout. Contornei esse problema alterando o endereço do pacote no PKGBUILD para um caminho válido.

tioguda commented on 2018-12-20 00:06 (UTC) (edited on 2018-12-20 00:07 (UTC) by tioguda)

@leonardof desculpe o delay,verifiquei aqui e esse erro procede.

Se for alterado o local do arquivo que você se referiu, usuários de alguns bancos serão afetados e por isso eu vou deixar como está por enquanto.

Estarei procurando um método para corrigir essa questão, obrigado pela informação.

Saudações.

leonardof commented on 2018-12-11 22:00 (UTC)

@tioguda, obrigado pela resposta, e desculpe-me pela demora.

Antes de eu instalar o warsaw-bin eu já tinha desinstalado havia um bom tempo o warsaw "normal".

Quando instalo o pacote, não acontece nada de excepcional. Quando encerro minha sessão e inicio uma nova, recebo essa mensagem. O comando systemctl status warsaw diz que o serviço está desativado, e o comando systemctl --user status warsaw diz que o serviço não existe.

Por outro lado, reparei que o pacote tem um arquivo que é o /etc/xdg/autostart/warsaw.desktop. Mover esse arquivo para fora dessa pasta $XDG_CONFIG_DIRS/autostart contorna o problema: a mensagem deixa de aparecer, e o pstree me confirma que o warsaw não está sendo iniciado automaticamente.

tioguda commented on 2018-12-04 01:06 (UTC)

@leonardof eu irei checar isso, você pode desabilita-lo com o comando abaixo.

systemctl disable warsaw.service

Poderia informar se você utilizou a outra varsão do warsaw?

Se utilizou, desabilitou ele após a remoção do pacote?

Saudações.

leonardof commented on 2018-12-04 00:52 (UTC)

Instalei, ainda não habilitei ou iniciei o serviço com o systemd, e mesmo assim quando inicio minha sessão de usuário o Zenity exibe uma mensagem: "Certificado inválido, você precisa logar como root para criar novos certificados." O pstree confirma que essa mensagem vem do warsaw!

tioguda commented on 2018-11-12 11:23 (UTC) (edited on 2019-01-05 00:38 (UTC) by tioguda)

Em meus testes aqui, alguns dos bancos que ainda não estão funcionando eu consegui contornar esse erro removendo a dependência python-gpgme na hora da construção do pacote.

Alguns bancos irão dar erro na hora da checar no site da dieboldnixdorf, mas após reiniciar o sistema ele estará funcionando.

Saudações.

tioguda commented on 2018-11-10 00:56 (UTC)

Os "principais" bancos estão funcionando normalmente agora.

Quando algum banco parar de funcionar após uma atualização, por favor, adicionar o nome do mesmo no seu comentário.

Saudações.

tioguda commented on 2018-11-08 15:04 (UTC) (edited on 2018-11-10 00:43 (UTC) by tioguda)

Para quem encontrou problemas na atualização, pode utilizar a versão abaixo até eu verificar esse erro.

É preciso adicionar minha chave antes de instalar, DC35688412042242

warsaw-bin 1.12.11.5 x86_64

warsaw-bin 1.12.11.5 i686

piussj2 commented on 2018-11-08 14:58 (UTC)

depois dessa última atualização, não funciona mais.

badosu commented on 2018-10-30 13:56 (UTC)

Parabéns pelo pacote, primeira vez que instalei o warsaw sem necessitar de configurações adicionais para utilizar o itaú!

tioguda commented on 2018-08-26 16:36 (UTC)

Está correto @potuz, não tem o arquivo "wscertmgr" e o nome do outro é "config.cfgc" e não "config.cfg".

Se você vem do outro pacote, você tem que remover todos alterações feitas antes.

Saudações.

potuz commented on 2018-08-26 12:16 (UTC)

Esse .deb não tem o wscertmgr e tem um arquivo config.cfgc em lugar do config.cfg, está certo mesmo?

tioguda commented on 2018-08-12 08:20 (UTC) (edited on 2018-08-12 08:22 (UTC) by tioguda)

Atenção, o yay está informando erro no checksum mesmo que os sha256sum estejam corretos.

Por favor, utilizem outro helper antes de informar este erro que ainda não existe.

Saudações.

gerson commented on 2018-08-09 00:18 (UTC)

Acabei de instalar via yaourt. Funcionou no Banco do Brasil. Após a instalação rodar:

systemctl enable warsaw

systemctl start warsaw

talesam commented on 2018-07-22 05:57 (UTC)

Criei um script baseado no pacote do @tioguda e com a dica do @lucasgk que além de automatizar toda a instalação e configuração, resolve o problema de travamento da deepin-dock do Deepin Manjaro. Link para o script: https://nuvem.talesam.org/index.php/s/yQqrIdYw9fhvzeh

tioguda commented on 2018-07-14 09:38 (UTC)

Após uma instalação limpa o plugin está funcionando no Banco do Brasil.

tioguda commented on 2018-07-12 18:25 (UTC)

@haldrinf pode ser que como você já tinha a outra versão instalada, continuou tendo acesso. Mas eu acredito que quem instalar somente essa nova versão não terá o acesso para o bb, pois para testar eu removi e parei o plugin antes de instalar a nova versão, não funcionou.

haldrin commented on 2018-07-11 13:53 (UTC)

Banco do Brasil continua funcionando normal por aqui, mesmo após as atualizações, browser: Opera, Firefox, Chromium (não uso Chrome).

tioguda commented on 2018-07-11 01:35 (UTC)

Saiu uma atualização do warsaw e os arquivos anteriores foram removidos do servidor, estarei fazendo a atualização mas ela quebra o uso para os usuários do banco do Brasil.

tioguda commented on 2018-07-11 00:23 (UTC)

@jbarsan o problema é que por algum motivo, muitos bancos deixam de funcionar o plugin se eu usar outro arquivo se não for esse. Vou tentar descobrir o motivo.

jbarsan commented on 2018-07-10 23:36 (UTC)

Em relação ao erro que está dando com link do download do arquivo .deb, basta alterar no pkgbuild para : source_i686=(https://cloud.gastecnologia.com.br/gas/diagnostico/warsaw_setup_32.deb) source_x86_64=(https://cloud.gastecnologia.com.br/gas/diagnostico/warsaw_setup_64.deb) Recalcule o sha256sum e substitua no pkgbuild e pronto, tudo volta a funcionar.

tioguda commented on 2018-07-10 23:25 (UTC)

@fulano, entre na url da GAS disponível acima, escolha seu banco e depois escolha a distribuição que deseja, será feito o download. Tem que estar com o plugin desabilitado para aparecer a opção de download.

fulano commented on 2018-07-10 23:16 (UTC)

@tioguda, tem que esperar o site voltar? Existe um alternativo?

tioguda commented on 2018-07-10 20:01 (UTC)

@fulano eu sei, mas é esse link que é utilizado para construir o pacote.

fulano commented on 2018-07-10 18:56 (UTC)

O link para download não funciona.

renanbs commented on 2018-07-09 12:54 (UTC)

Tested it on my machine and it worked perfectly.

haldrin commented on 2018-07-09 04:00 (UTC)

Instalando warsaw-bin (1.12.9.5-2)... Rodando ganchos pós-transacionais... Reloading system manager configuration... Arming ConditionNeedsUpdate... Performing snapper post snapshots for the following configurations... Transação finalizada com êxito.

Testado e funcional 100% em todos os browsers !